%global packname  vctrs
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.1.0
Release:          1%{?dist}
Summary:          Vector Helpers

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-backports, R-digest, R-glue, R-rlang, R-zeallot
# Suggests:  R-covr, R-generics, R-knitr, R-pillar, R-pkgdown, R-rmarkdown, R-testthat, R-tibble
# LinkingTo:
# Enhances:

Requires:         R-backports
Requires:         R-digest
Requires:         R-glue
Requires:         R-rlang
Requires:         R-zeallot
Suggests:         R-generics
Suggests:         R-knitr
Suggests:         R-pillar
Suggests:         R-rmarkdown
Suggests:         R-tibble
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-backports
BuildRequires:    R-digest
BuildRequires:    R-glue
BuildRequires:    R-rlang
BuildRequires:    R-zeallot
BuildRequires:    R-generics
BuildRequires:    R-knitr
BuildRequires:    R-pillar
BuildRequires:    R-rmarkdown
BuildRequires:    R-testthat
BuildRequires:    R-tibble

%description
Defines new notions of prototype and size that are used to provide tools for
consistent and well-founded type-coercion and size-recycling, and are in turn
connected to ideas of type- and size-stability useful for analyzing function
interfaces.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION
# pkgdown appears to only be a maintenance thing.
sed -i 's/pkgdown, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Thu May 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.0-1
- initial package for Fedora
